coreEngine.Calibration.Organisms

## Class NDistOrg

- java.lang.Object
- - coreEngine.Calibration.Organism
  - - coreEngine.Calibration.Organisms.NDistOrg

- Direct Known Subclasses:
    NDistCDPOrg

      public class NDistOrg
      extends Organism

  Author:
    jlake

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Distribution[][]` | `dist`
    `protected static int` | `endPeriod`
    `protected static float` | `MAIN_AADT`
    `protected int` | `numPer`
    `protected int` | `numSeg`
    `protected static float[]` | `OFR_AADT`
    `protected static float[]` | `ONR_AADT`
    `static float[]` | `periodMapping`
    `protected static int` | `startPeriod`

    - ### Fields inherited from class coreEngine.Calibration.Organism

      `alg, capacityDropPct, fitness, FITNESS_TYPE, FITNESS_TYPE2, geometry, multiFitness, mutationPct, numProfiles, profileMapping, scenIdx, seedIdx`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NDistOrg(GeneticAlgorithm alg, int dim1, int dim2)`
    `NDistOrg(GeneticAlgorithm alg, int seedIdx, int dim1, int dim2)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `applyMeme()`
    `void` | `assignAFToSeed(int seg, int per)`
    `void` | `calcFitness()`
    `Organism[]` | `crossover(Organism mate)`
    `float` | `getAF(int type, int seg, int per)`
    `NDistOrg` | `getChildOrg(Distribution[][] newDists)`
    `Organism` | `getDeepCopy()`
    `int` | `getDim1()`
    `int` | `getDim2()`
    `Distribution` | `getDistribution(int type, int seg)`
    `float[]` | `getEncodingArray(int period)`
    `java.lang.String` | `getEncodingString()`
    `void` | `mutate()`
    `void` | `printDistInfo()`
    `static void` | `setBinDigits(int numBinDigits)`
    `void` | `setDistInfo(Distribution[][] dists)`
    `static void` | `setupMapping(Seed seed, float mainAADT, float[] onrAADT, float[] ofrAADT)`

    - ### Methods inherited from class coreEngine.Calibration.Organism

      `checkFitnessDiversity, getFitness, getScenarioIndex, getSeedBaseFitness, getSeedIdx, setGeometry, setScenarioIndex, setSeedIdx`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### numSeg

          protected final int numSeg

    - #### numPer

          protected final int numPer

    - #### dist

          protected final Distribution[][] dist

    - #### startPeriod

          protected static int startPeriod

    - #### endPeriod

          protected static int endPeriod

    - #### MAIN_AADT

          protected static float MAIN_AADT

    - #### ONR_AADT

          protected static float[] ONR_AADT

    - #### OFR_AADT

          protected static float[] OFR_AADT

    - #### periodMapping

          public static final float[] periodMapping

  - ### Constructor Detail

    - #### NDistOrg

          public NDistOrg(GeneticAlgorithm alg,
                          int dim1,
                          int dim2)

    - #### NDistOrg

          public NDistOrg(GeneticAlgorithm alg,
                          int seedIdx,
                          int dim1,
                          int dim2)

  - ### Method Detail

    - #### getChildOrg

          public NDistOrg getChildOrg(Distribution[][] newDists)

    - #### setDistInfo

          public void setDistInfo(Distribution[][] dists)

    - #### getAF

          public float getAF(int type,
                             int seg,
                             int per)

    - #### getDistribution

          public Distribution getDistribution(int type,
                                              int seg)

    - #### calcFitness

          public void calcFitness()

      Specified by:
        `calcFitness` in class `Organism`

    - #### assignAFToSeed

          public void assignAFToSeed(int seg,
                                     int per)

      Specified by:
        `assignAFToSeed` in class `Organism`

    - #### crossover

          public Organism[] crossover(Organism mate)

      Specified by:
        `crossover` in class `Organism`
      Returns:

    - #### mutate

          public void mutate()

      Specified by:
        `mutate` in class `Organism`

    - #### getDeepCopy

          public Organism getDeepCopy()

      Specified by:
        `getDeepCopy` in class `Organism`

    - #### getDim1

          public int getDim1()

    - #### getDim2

          public int getDim2()

    - #### getEncodingString

          public java.lang.String getEncodingString()

      Specified by:
        `getEncodingString` in class `Organism`

    - #### getEncodingArray

          public float[] getEncodingArray(int period)

      Specified by:
        `getEncodingArray` in class `Organism`

    - #### setupMapping

          public static void setupMapping(Seed seed,
                                          float mainAADT,
                                          float[] onrAADT,
                                          float[] ofrAADT)

    - #### printDistInfo

          public void printDistInfo()

    - #### applyMeme

          public int applyMeme()

      Specified by:
        `applyMeme` in class `Organism`

    - #### setBinDigits

          public static void setBinDigits(int numBinDigits)